View Issue Details

IDProjectCategoryView StatusLast Update
00299632.x IDE BugsCompilingPublic2019-01-04 16:53
ReporterMatthew McInnesAssigned ToClaire Hall 
PriorityMediumSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
Product Version2.1.5 
Target Version2.2.0Fixed in Version2.2.0 
Summary0029963: Compiling: [Mac IDE] Projects with an apostrophe in the name, crash the IDE when a build is stopped by pressing 'Run' again
DescriptionISSUE:
- Projects with an apostrophe in the name, crash the IDE when a build is stopped by pressing 'Run' again.

EXPECTED:
- The IDE should be able to handle projects with an apostrophe in the name
Steps To Reproduce1) Launch IDE
2) Create a blank project with an apostrophe in the name, EG 'Matthew's Project'
3) Run the project
4) Whilst building, press 'Run' again
5) Press 'Ok' on the dialog that appears
6) Observe IDE crash
TagsIDE
2.x IDE Found In2.1.5.322
2.x Runtime Found In2.1.5.246
2.x IDE Verified In2.2.0.333
2.x Runtime Verified In2.2.0.251

Activities

Matthew McInnes

2018-09-03 10:07

Adminstrator   ~0061474

Last edited: 2018-09-03 10:07

View 2 revisions

Reopening. Issue still occurs on:

IDE v2.2.0.325 Runtime v2.2.0.249

Upon following repro steps and completing step 5, IDE, becomes unresponsive.

Matthew McInnes

2018-09-04 14:11

Adminstrator   ~0061492

Closing. Verified as fixed in:

IDE v2.2.0.333 Runtime v2.2.0.251